/* Tests some of the Arexx functions of Professional Calc */

ADDRESS "PCALC"
options results


/* Select a cell, then return what cell we've just selected */
SelectCell C1
Current
say result

DrawMessage "This is a message from ARexx."

/* Puts a value in cell C1, then gets it back and prints it on the output window */
PutCell "5"
SelectCell C1
GetValue
say result

/* Puts a formula in cell C2, then gets it back and prints it on the output window */
SelectCell C2
PutCell "=A1+SIN(3)"
SelectCell C2
GetFormula
say result

/* Puts text in cell C2, then gets it back and prints it on the output window */
SelectCell C3
PutCell "This is what I'm putting into the cell."
SelectCell C3
GetLabel
say result

/* Tests what kind of cell this is */
IsValue
say result

IsFormula
say result

IsLabel
say result

/* Select a range, then return what range we've just selected */
SelectRange "A1:D7"
Current
say result

SaveSpread "Ram:Test.pcf"


